Project

General

Profile

Actions

Feature proposal #7361

open

Drop Joomla 2.x support and increase Joomla 3.x minimum

Added by krileon over 5 years ago. Updated 5 months ago.

Status:
Feedback
Priority:
Low
Assignee:
-
Target version:
Start date:
23 November 2018
Due date:
% Done:

0%

Estimated time:

Description

Joomla 2.x has been EOL for a very long time and has not been internally tested for nearly 2 years. Seams safe to drop support for Joomla 2.x which will allow clean up of some very legacy code. Additionally Joomla 3.x minimum should be set to at least 3.4 to allow usage of showon and repeat usages in Joomla XML.

Actions #1

Updated by krileon over 5 years ago

  • Status changed from New to Feedback
Actions #2

Updated by krileon over 5 years ago

We maybe able to go as low as 3.2. This gives access to repeatable and showon.

https://docs.joomla.org/Repeatable_form_field_type
https://docs.joomla.org/Form_field#Showon

Actions #3

Updated by krileon over 5 years ago

Joomla 3.6 minimum would give access to new subform type.

https://docs.joomla.org/Special:MyLanguage/Subform_form_field_type

Actions #4

Updated by krileon over 5 years ago

  • Priority changed from High to Low

This isn't urgent as unknown Joomla XML types will just output a text field. So it won't error, but the Allowed URLs parameter being added for our Terms and Conditions forced consent usage won't work on older releases (which is fine as it's not a MAJOR feature).

Actions #5

Updated by beat about 1 year ago

  • Target version changed from CB 2.8 to CB 2.8.1
Actions #6

Updated by beat 8 months ago

  • Target version changed from CB 2.8.1 to CB 2.8.2
Actions #7

Updated by beat 7 months ago

  • Target version changed from CB 2.8.2 to CB 2.9.0
Actions #8

Updated by beat 5 months ago

  • Target version changed from CB 2.9.0 to CB 2.9.2
Actions

Also available in: Atom PDF